using Abp.Configuration.Startup;
using Abp.Localization.Dictionaries;
using Abp.Localization.Dictionaries.Xml;
using Abp.Reflection.Extensions;

namespace MineTec.ProManager.Localization
{
    public static class ProManagerLocalizationConfigurer
    {
        public static void Configure(ILocalizationConfiguration localizationConfiguration)
        {
            localizationConfiguration.Sources.Add(
                new DictionaryBasedLocalizationSource(ProManagerCoreConsts.LocalizationSourceName,
                    new XmlEmbeddedFileLocalizationDictionaryProvider(
                        typeof(ProManagerLocalizationConfigurer).GetAssembly(),
                        "MineTec.ProManager.Common.Localization.SourceFiles"
                    )
                )
            );
        }
    }
}
